Bug 144716 - error: cannot portupgrade editors/openoffice.org-3-devel
Summary: error: cannot portupgrade editors/openoffice.org-3-devel
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-openoffice (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-13 12:10 UTC by Andrei Lavreniyuk
Modified: 2010-04-01 01:39 UTC (History)
0 users

See Also:


Attachments
file.diff (395 bytes, patch)
2010-03-13 12:10 UTC, Andrei Lavreniyuk
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei Lavreniyuk 2010-03-13 12:10:03 UTC
Already did begin not fashionable to use the utility of portlint? It is possible even to shut out such child's errors.

Fix: Patch attached with submission follows:
How-To-Repeat: 1.
# portupgrade -f ru-openoffice.org-3.3.20100301
** Makefile possibly broken: editors/openoffice.org-3-devel:
        "Makefile", line 209: Need an operator
        make: fatal errors encountered -- cannot continue
/usr/local/sbin/portupgrade:1473:in `get_pkgname': Makefile broken (MakefileBrokenError)
        from /usr/local/sbin/portupgrade:623
        from /usr/local/sbin/portupgrade:614:in `each'
        from /usr/local/sbin/portupgrade:614
        from /usr/local/sbin/portupgrade:588:in `catch'
        from /usr/local/sbin/portupgrade:588
        from /usr/local/lib/ruby/1.8/optparse.rb:1310:in `call'
        from /usr/local/lib/ruby/1.8/optparse.rb:1310:in `parse_in_order'
        from /usr/local/lib/ruby/1.8/optparse.rb:1306:in `catch'
        from /usr/local/lib/ruby/1.8/optparse.rb:1306:in `parse_in_order'
        from /usr/local/lib/ruby/1.8/optparse.rb:1254:in `catch'
        from /usr/local/lib/ruby/1.8/optparse.rb:1254:in `parse_in_order'
        from /usr/local/lib/ruby/1.8/optparse.rb:1248:in `order!'
        from /usr/local/lib/ruby/1.8/optparse.rb:1241:in `order'
        from /usr/local/sbin/portupgrade:565:in `main'
        from /usr/local/lib/ruby/1.8/optparse.rb:791:in `initialize'
        from /usr/local/sbin/portupgrade:229:in `new'
        from /usr/local/sbin/portupgrade:229:in `main'
        from /usr/local/sbin/portupgrade:2213


2.
/usr/ports/editors/openoffice.org-3-devel# portlint
"Makefile", line 209: Need an operator
make: fatal errors encountered -- cannot continue
"Makefile", line 209: Need an operator
make: fatal errors encountered -- cannot continue
Use of uninitialized value in list assignment at /usr/local/bin/portlint line 267.
Use of uninitialized value in list assignment at /usr/local/bin/portlint line 267.
Use of uninitialized value $makevar{"PATCHDIR"} in concatenation (.) or string at /usr/local/bin/portlint line 291.
Use of uninitialized value $i in string at /usr/local/bin/portlint line 299.
Use of uninitialized value $i in string eq at /usr/local/bin/portlint line 300.
Use of uninitialized value in string eq at /usr/local/bin/portlint line 300.
Use of uninitialized value $makevar{"DISTFILES"} in string eq at /usr/local/bin/portlint line 300.
Use of uninitialized value $makevar{"OPTIONS"} in pattern match (m//) at /usr/local/bin/portlint line 1456.
WARN: Makefile: [304]: possible direct use of command "file" found. use ${FILE} instead.
Use of uninitialized value $makevar{"GNU_CONFIGURE"} in string ne at /usr/local/bin/portlint line 2003.
Use of uninitialized value $masterdir in string ne at /usr/local/bin/portlint line 2038.
WARN: Makefile: unless this is a master port, PORTNAME has to be set by "=", not by "?=".
WARN: Makefile: unless this is a master port, PORTVERSION has to be set by "=", not by "?=".
Use of uninitialized value in split at /usr/local/bin/portlint line 2220.
FATAL: Makefile: CATEGORIES left blank. set it to "misc" if nothing seems apropriate.
WARN: Makefile: the port uses Java but is not part of the ``java'' category
Use of uninitialized value in string eq at /usr/local/bin/portlint line 2260.
Use of uninitialized value in string eq at /usr/local/bin/portlint line 2260.
Use of uninitialized value in string eq at /usr/local/bin/portlint line 2260.
Use of uninitialized value in string eq at /usr/local/bin/portlint line 2260.
Use of uninitialized value in string eq at /usr/local/bin/portlint line 2260.
Use of uninitialized value in string eq at /usr/local/bin/portlint line 2260.
Use of uninitialized value in string eq at /usr/local/bin/portlint line 2260.
Use of uninitialized value in string eq at /usr/local/bin/portlint line 2260.
Use of uninitialized value in string eq at /usr/local/bin/portlint line 2260.
Use of uninitialized value in string eq at /usr/local/bin/portlint line 2260.
Use of uninitialized value in string eq at /usr/local/bin/portlint line 2260.
Use of uninitialized value in string eq at /usr/local/bin/portlint line 2260.
Use of uninitialized value in string eq at /usr/local/bin/portlint line 2260.
Use of uninitialized value $makevar{"MASTER_SITES"} in string ne at /usr/local/bin/portlint line 2302.
Use of uninitialized value $portname in pattern match (m//) at /usr/local/bin/portlint line 2396.
Use of uninitialized value $portname in pattern match (m//) at /usr/local/bin/portlint line 2401.
Use of uninitialized value $portname in pattern match (m//) at /usr/local/bin/portlint line 2404.
Use of uninitialized value $portname in pattern match (m//) at /usr/local/bin/portlint line 2407.
Use of uninitialized value $portname in pattern match (m//) at /usr/local/bin/portlint line 2410.
Use of uninitialized value $portversion in string eq at /usr/local/bin/portlint line 2414.
Use of uninitialized value $distversion in string eq at /usr/local/bin/portlint line 2414.
FATAL: Makefile: either PORTVERSION or DISTVERSION must be specified
Use of uninitialized value $portversion in pattern match (m//) at /usr/local/bin/portlint line 2417.
Use of uninitialized value $portversion in pattern match (m//) at /usr/local/bin/portlint line 2417.
Use of uninitialized value in concatenation (.) or string at /usr/local/bin/portlint line 2469.
Use of uninitialized value $origin in substitution (s///) at /usr/local/bin/portlint line 2482, <VERSIONS> line 1.
Use of uninitialized value $origin in string eq at /usr/local/bin/portlint line 2486, <VERSIONS> line 1.
Use of uninitialized value in string eq at /usr/local/bin/portlint line 2486, <VERSIONS> line 1.
Use of uninitialized value $newversion in substitution (s///) at /usr/local/bin/portlint line 2491, <VERSIONS> line 1.
Use of uninitialized value $pkg_version in concatenation (.) or string at /usr/local/bin/portlint line 2494, <VERSIONS> line 1.
Use of uninitialized value $newversion in concatenation (.) or string at /usr/local/bin/portlint line 2494, <VERSIONS> line 1.
Syntax error: Unterminated quoted string
WARN: Makefile: unless this is a master port, COMMENT has to be set by "=", not by "?=".
WARN: Makefile: "PKGNAMEPREFIX" has to appear earlier.
WARN: Makefile: "PKGNAMESUFFIX" has to appear earlier.
Use of uninitialized value $i in string at /usr/local/bin/portlint line 299.
Use of uninitialized value $i in string eq at /usr/local/bin/portlint line 300.
Use of uninitialized value in string eq at /usr/local/bin/portlint line 300.
Use of uninitialized value $makevar{"DISTFILES"} in string eq at /usr/local/bin/portlint line 300.
2 fatal errors and 7 warnings found.
Comment 1 Edwin Groothuis freebsd_committer 2010-03-13 12:10:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Andrei V. Lavreniyuk 2010-03-18 06:07:57 UTC
Hi!


How many does it need time what to add two characters of tabulation and 
to do commit?


-----------------------------------------------------
"Makefile", line 209: Need an operator 
 
 

make: fatal errors encountered -- cannot continue 
 
 

pkg_version: Failed to get PKGNAME from 
/usr/ports/editors/openoffice.org-3-devel/Makefile!
-----------------------------------------------------

I get a very anoing error... :(



-- 
  Best regards, Andrei V. Lavreniyuk.
Comment 3 dfilter service freebsd_committer 2010-03-19 06:38:48 UTC
maho        2010-03-19 06:38:34 UTC

  FreeBSD ports repository

  Modified files:
    editors/openoffice.org-3-devel Makefile 
  Log:
  fix build
  
  PR:     144716
  Submitted by:   Andrei Lavreniyuk <andy.lavr@gmail.com>
  Feature safe:   yes
  
  Revision  Changes    Path
  1.469     +1 -1      ports/editors/openoffice.org-3-devel/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Maho Nakata freebsd_committer 2010-04-01 01:39:30 UTC
State Changed
From-To: open->closed

committed, thanks